Name: icinga-director
Version: 1.10.2+125.gfb10bac7
Release: 1683932613.el7
Summary: Configuration deployment tool in the Icinga ecosystem

Group: Applications/System
License: GPLv2
URL: https://icinga.com/
Source0: icinga-director-1.10.2+125.gfb10bac7.tgz

Requires: icinga-director-daemon = 1.10.2+125.gfb10bac7-1683932613.el7
Requires: icinga-director-web = 1.10.2+125.gfb10bac7-1683932613.el7

BuildArch: noarch

%description
Icinga Director is the configuration deployment tool in the Icinga ecosystem,
designed for automating configuration deployments,
but also for making changes directly in the webinterface.

%package php
Requires: icingaweb2-common >= 2.10.3
Requires: icinga-php-incubator >= 0.18.0
Summary: Icinga Director PHP files

%description php
PHP files for Icinga Director.

%package daemon
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

Requires: icinga-director-php = 1.10.2+125.gfb10bac7-1683932613.el7
Requires: icingacli >= 2.10.3

Requires: rh-php73-php-process

Summary: Icinga Director daemon files

%description daemon
Daemon files for Icinga Director.

%package web
Requires: icingaweb2 >= 2.10.3
Requires: icinga-director-php = 1.10.2+125.gfb10bac7-1683932613.el7
Summary: Icinga Director web files

%description web
Web files for Icinga Director.

%prep
%autosetup

%build

%install

install -dm 0755 %_topdir/BUILDROOT/icinga-director-1.10.2+125.gfb10bac7-1683932613.el7.x86_64/usr/share/icingaweb2/modules/director
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %_topdir/BUILDROOT/icinga-director-1.10.2+125.gfb10bac7-1683932613.el7.x86_64/usr/share/icingaweb2/modules/director \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-director-1.10.2+125.gfb10bac7-1683932613.el7.x86_64/usr/share/icingaweb2/modules/director \;
install -Dpm 0644 contrib/systemd/icinga-director.service %_topdir/BUILDROOT/icinga-director-1.10.2+125.gfb10bac7-1683932613.el7.x86_64/usr/lib/systemd/system/icinga-director.service
install -dm 0750 %_topdir/BUILDROOT/icinga-director-1.10.2+125.gfb10bac7-1683932613.el7.x86_64/var/lib/icingadirector

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/director/doc
%license LICENSE
/usr/share/icingaweb2/modules/director

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/director /etc/icingaweb2/enabledModules/director
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/director
fi

%files daemon
/usr/lib/systemd/system/icinga-director.service
%attr(-,icingadirector,icingaweb2) /var/lib/icingadirector

%pre daemon
getent passwd icingadirector >/dev/null || useradd -r -G icingaweb2 -d /var/lib/icingadirector -s /sbin/nologin icingadirector

%post daemon

if [ $1 -eq 1 ] ; then
systemctl preset icinga-director.service >/dev/null 2>&1 || :
fi

%preun daemon

if [ $1 -eq 0 ] ; then
systemctl --no-reload disable icinga-director.service > /dev/null 2>&1 || :
systemctl stop icinga-director.service > /dev/null 2>&1 || :
fi

%postun daemon

systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
systemctl try-restart icinga-director.service >/dev/null 2>&1 || :
fi

test "$1" != 0 || userdel -rf icingadirector &>/dev/null || :

%files web

%changelog
* Fri May 12 2023 Icinga GmbH <info@icinga.com> - 1.10.2+125.gfb10bac7-1683932613$RPM_DIST
- Version 1.10.2+125.gfb10bac7-1683932613

